
% Solving Markov Model for the Lukewarm in the Combinated Model
% Duplicated EPS
function [A U] = Luke_DEPS(l, ls, n, n2, lh, nh, c)
format long;

% Simbolic variables
syms p1 p2 p3 p4 p5 p6;

% Transition Intensity Matrix
Q = [-l-ls-lh, l*c + ls, 0, l*(1-c), lh, 0;
    n, -lh-l-n, l, 0, 0, lh;
    0, n, -n, 0, 0, 0;
    0, n2, ls, -n2-ls, 0, 0;
    nh, 0, 0, 0, -nh, 0;
    0, nh, 0, 0, 0, -nh];
   
% Vector with probabilities
p = [p1, p2, p3, p4, p5, p6];

% Equilibrium equations
f1 = p*Q(:,1);
f2 = p*Q(:,2);
f3 = p*Q(:,3);
f4 = p*Q(:,4);
f5 = p*Q(:,5);
f6 = p*Q(:,6);
% Normalization Ecuation
f7 = p1 + p2 + p3 + p4 + p5 + p6 - 1;

% Solving the system
S = solve(f1, f2, f3, f4, f5, f7, 'p1, p2, p3, p4, p5, p6');
p1 = S.p1;
p2 = S.p2;
p3 = S.p3;
p4 = S.p4;
p5 = S.p5;
p6 = S.p6;

% Availability and Unavailability
A = eval(p1 + p2);
U = eval(p3 + p4 + p5 + p6);