
% Script for Figures Lukewarm Standby Duplicated OPS
points_c=5;             % number of c values
points_l=100;           % number of lops values    

% Parameter values
lops = linspace(1e-5, 1e-2, points_l);  % OPS fail 
ls = 1e-5;                              % failure rate of the backup OPS when not working
n = 1/6;                                % time to repair ops: 6 hours
n2 = 1/4;                               % Fix failure system & change OPS 4 h
lh = 8.334e-8;                          % harcore fail (1 splitter + 1 switch)
nh = 1/6;                               % Fix harcore fail 6 h
c = linspace(0.7, 1, points_c);         % c has 5 values

% Matrixes for data
Al_luke = zeros(points_c, 1);      
Ul_luke = zeros(points_c, 1);

% Calling the function function that solves the Markov Model of the
% lukewarm standby subsystem
for j=1:1:points_c
    for a=1:1:points_l        
        [Al_luke(j,a) Ul_luke(j,a)] = Luke_DOPS(lops(a),ls,n,n2,lh,nh,c(j));
    end
end

% Graphs
figure
plot(lops, Ul_luke(1,:), 'b.-');
hold on
plot(lops, Ul_luke(2,:), 'r.-');
hold on
plot(lops, Ul_luke(3,:), 'g.-');
hold on
plot(lops, Ul_luke(4,:), 'y.-');
hold on
plot(lops, Ul_luke(5,:), 'k.-');
hold on
grid on

title('Unavailabity for Duplicated OPS - Combined Model. Lukewarm Standby Sybsystem Unavailability');
xlabel('lops');
ylabel('Unavailability');
legend('c = 0.7','c = 0.775','c = 0.85','c = 0.925', 'c = 1');
