
% Script for Figures Output Duplicated OPS
points_c=5;                 % number of c values
points_k=32;                % number of k values 

% Parameter values
l = 1.667e-8;                       % failure rate coupler
n = 1/6;                            % time to repair dpt: 6 hours
nc = 1/2;                           % Fix failure: 2 hours
k = linspace(1, 32, points_k);      % k varies from 1 to 32
c = linspace(0.7, 1, points_c);     % c has 5 values
N = 32;                             % Number of wavelengths

% Matrixes for data
Al_out = zeros(points_c, points_k);      
Ul_out = zeros(points_c, points_k);

% Calling the function function that solves the Markov Model of the output
% subsystem
for j=1:1:points_c
    for a=1:1:points_k
        [Al_out(j,a) Ul_out(j,a)] = Output_DOPS(l,n,nc,k(a),c(j),N);
    end
end

% Graphs
figure
plot(k, Ul_out(1,:), 'b.-');
hold on
plot(k, Ul_out(2,:), 'r.-');
hold on
plot(k, Ul_out(3,:), 'g.-');
hold on
plot(k, Ul_out(4,:), 'y.-');
hold on
plot(k, Ul_out(5,:), 'k.-');
hold on

title('Unavailabity for Duplicated OPS - Combined Model. Output Sybsystem Unavailability');
xlabel('k');
ylabel('Unavailability');
legend('c = 0.7','c = 0.775','c = 0.85','c = 0.925', 'c = 1');
    