
% Solving Markov Model for the OPSEPS in the Combinated Model
% Reroute EPS
function [A U] = OPSEPS_REPS(lops, leps, nops, neps, n2, c)
format long;

% Simbolic variables
syms p1 p2 p3 p4 p5 p6;

% Transition Intensity Matrix
Q = [-lops-leps, lops*c, leps, lops*(1-c), 0;
    nops, -nops-leps, 0, 0, leps;
    neps, 0, -neps, 0, 0;
    0, n2, 0, -n2-leps, leps;
    0, neps, 0, 0, -neps];
   
% Vector with probabilities
p = [p1, p2, p3, p4, p5];

% Equilibrium equations
f1 = p*Q(:,1);
f2 = p*Q(:,2);
f3 = p*Q(:,3);
f4 = p*Q(:,4);
f5 = p*Q(:,5);
% Normalization Ecuation
f6 = p1 + p2 + p3 + p4 + p5 - 1;

% Solving the system
S = solve(f1, f2, f3, f4, f6, 'p1, p2, p3, p4, p5');
p1 = S.p1;
p2 = S.p2;
p3 = S.p3;
p4 = S.p4;
p5 = S.p5;

% Availability and Unavailability
A = eval(p1 + p2 + p3);
U = eval(p4 + p5);